# Installation

Run `composer require dedi/sylius-messenger-monitor-plugin`

Add plugins to your `config/bundles.php`:

```php
<?php
$bundles = [
    // ...
    Zenstruck\Messenger\Monitor\ZenstruckMessengerMonitorBundle::class => ['all' => true],
    Dedi\SyliusMessengerMonitorPlugin\DediSyliusMessengerMonitorPlugin::class => ['all' => true],
    // ...
];
```

## Import the plugin configuration

```yaml
# config/packages/dedi_sylius_messenger_monitor_plugin.yaml

imports:
    - { resource: "@DediSyliusMessengerMonitorPlugin/config/config.yaml" }

```

## Copy templates

```bash
cp -R vendor/dedi/sylius-messenger-monitor-plugin/tests/Application/templates/bundles/ZenstruckMessengerMonitorBundle templates/bundles/
```

### Add the following command to run daily with scheduler

```bash
bin/console messenger:monitor:purge
```

## Run migrations

```
bin/console doctrine:migration:diff
bin/console doctrine:migration:migrate
````

### Follow the usage instructions

Add tags and options to your message with the [Zenstruck Messenger Monitor Bundle documentation](https://github.com/zenstruck/messenger-monitor-bundle)
